### Class

# Ggit Blob

#### Description [src]

    final class Ggit.Blob : Ggit.Object
    {
      /* No available fields */
    }

Represents a blob object.

#### Hierarchy

#### Ancestors

- GgitObject
- GgitNative
- GgitObjectFactoryBase
- GObject

#### Instance methods

###### ggit_blob_get_raw_content

Gets a read-only buffer with the raw contents of `blob`.

###### ggit_blob_is_binary

Check whether the blob is binary.

##### Methods inherited from GgitObject (2)

###### ggit_object_get_id

Gets the `GgitOId` of `object`.

###### ggit_object_get_owner

Gets the `GgitRepository` that owns `object`.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

##### Properties inherited from GgitNative (1)

###### Ggit.Native:native

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GgitBlobClass {
      GgitObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GgitObjectClass`

  No description available.